package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"task", "session", "worklet", "taskinstance", "workflowlink", "workflowvariable", "workflowevent", "attribute", "metadataextension"}
)
@XmlRootElement(
   name = "WORKLET"
)
public class WORKLET {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "REUSABLE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String reusable;
   @XmlAttribute(
      name = "ISVALID"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isvalid;
   @XmlAttribute(
      name = "PARENT"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String parent;
   @XmlAttribute(
      name = "PARENT_TYPE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String parenttype;
   @XmlAttribute(
      name = "VERSIONNUMBER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String versionnumber;
   @XmlElement(
      name = "TASK"
   )
   protected List<TASK> task;
   @XmlElement(
      name = "SESSION"
   )
   protected List<SESSION> session;
   @XmlElement(
      name = "WORKLET"
   )
   protected List<WORKLET> worklet;
   @XmlElement(
      name = "TASKINSTANCE"
   )
   protected List<TASKINSTANCE> taskinstance;
   @XmlElement(
      name = "WORKFLOWLINK"
   )
   protected List<WORKFLOWLINK> workflowlink;
   @XmlElement(
      name = "WORKFLOWVARIABLE"
   )
   protected List<WORKFLOWVARIABLE> workflowvariable;
   @XmlElement(
      name = "WORKFLOWEVENT"
   )
   protected List<WORKFLOWEVENT> workflowevent;
   @XmlElement(
      name = "ATTRIBUTE"
   )
   protected List<ATTRIBUTE> attribute;
   @XmlElement(
      name = "METADATAEXTENSION"
   )
   protected List<METADATAEXTENSION> metadataextension;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getREUSABLE() {
      return this.reusable;
   }

   public void setREUSABLE(String value) {
      this.reusable = value;
   }

   public String getISVALID() {
      return this.isvalid;
   }

   public void setISVALID(String value) {
      this.isvalid = value;
   }

   public String getPARENT() {
      return this.parent;
   }

   public void setPARENT(String value) {
      this.parent = value;
   }

   public String getPARENTTYPE() {
      return this.parenttype;
   }

   public void setPARENTTYPE(String value) {
      this.parenttype = value;
   }

   public String getVERSIONNUMBER() {
      return this.versionnumber;
   }

   public void setVERSIONNUMBER(String value) {
      this.versionnumber = value;
   }

   public List<TASK> getTASK() {
      if (this.task == null) {
         this.task = new ArrayList();
      }

      return this.task;
   }

   public List<SESSION> getSESSION() {
      if (this.session == null) {
         this.session = new ArrayList();
      }

      return this.session;
   }

   public List<WORKLET> getWORKLET() {
      if (this.worklet == null) {
         this.worklet = new ArrayList();
      }

      return this.worklet;
   }

   public List<TASKINSTANCE> getTASKINSTANCE() {
      if (this.taskinstance == null) {
         this.taskinstance = new ArrayList();
      }

      return this.taskinstance;
   }

   public List<WORKFLOWLINK> getWORKFLOWLINK() {
      if (this.workflowlink == null) {
         this.workflowlink = new ArrayList();
      }

      return this.workflowlink;
   }

   public List<WORKFLOWVARIABLE> getWORKFLOWVARIABLE() {
      if (this.workflowvariable == null) {
         this.workflowvariable = new ArrayList();
      }

      return this.workflowvariable;
   }

   public List<WORKFLOWEVENT> getWORKFLOWEVENT() {
      if (this.workflowevent == null) {
         this.workflowevent = new ArrayList();
      }

      return this.workflowevent;
   }

   public List<ATTRIBUTE> getATTRIBUTE() {
      if (this.attribute == null) {
         this.attribute = new ArrayList();
      }

      return this.attribute;
   }

   public List<METADATAEXTENSION> getMETADATAEXTENSION() {
      if (this.metadataextension == null) {
         this.metadataextension = new ArrayList();
      }

      return this.metadataextension;
   }
}
